# 🤗 AutoTrain Advanced

AutoTrain Advanced: faster and easier training and deployments of state-of-the-art machine learning models

[![Deploy on Spaces](https://huggingface.co/datasets/huggingface/badges/resolve/main/deploy-on-spaces-lg.svg)](https://huggingface.co/new-space?template=autotrain-projects/autotrain-advanced)


## Documentation

Documentation is available [here](https://hf.co/docs/autotrain/).



## Installation

You can Install AutoTrain-Advanced python package via PIP. Please note you will need python >= 3.8 for AutoTrain Advanced to work properly.

    pip install autotrain-advanced
    
Please make sure that you have git lfs installed. Check out the instructions here: https://github.com/git-lfs/git-lfs/wiki/Installation


## Colabs

| Task | Colab Link |
| --- | --- |
| LLM Fine Tuning | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/huggingface/autotrain-advanced/blob/main/colabs/AutoTrain_LLM.ipynb) |
| DreamBooth Training | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/huggingface/autotrain-advanced/blob/main/colabs/AutoTrain_Dreambooth.ipynb) |


## Tutorials

| Title | Link |
| --- | --- |
| How to Finetune LLMs | https://youtu.be/3fsn19OI_C8 |
| How to Train SDXL Dreambooth | https://youtu.be/gF078Lhnr94 |


## Documentation

Documentation is available at https://hf.co/docs/autotrain/
